<?php
/**
 * This is the main administration page, if you have only one admin page you can put
 * directly its code here or using the tabsheet system like bellow
 */

defined('IMAGEMAGICKGPS_PATH')or die('Hacking attempt!');

global $template, $page, $conf;

// get current tab
$page['tab'] = isset($_GET['tab']) ? $_GET['tab'] : $page['tab'] = 'config';

// plugin tabsheet is not present on photo page
if ($page['tab'] != 'photo')
{
	// tabsheet
	include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
	$tabsheet = new tabsheet();
	$tabsheet->set_id('imagemagick_gps');

	//$tabsheet->add('home', l10n('Welcome'), IMAGEMAGICKGPS_ADMIN.'-home');
	$tabsheet->add('config', '<span class="icon-cog"></span>' . l10n('Configuration'), IMAGEMAGICKGPS_ADMIN.'-config');
	$tabsheet->add('read', l10n('Show exif data'), IMAGEMAGICKGPS_ADMIN.'-read');
	$tabsheet->select($page['tab']);
	$tabsheet->assign();
}

// include page
include(IMAGEMAGICKGPS_PATH.'admin/'.$page['tab'].'.php');

// template vars
$template->assign(array(
		'IMAGEMAGICKGPS_PATH' => IMAGEMAGICKGPS_PATH, // used for images, scripts, ... access
		'IMAGEMAGICKGPS_ABS_PATH' => realpath(IMAGEMAGICKGPS_PATH), // used for template inclusion (Smarty needs a real path)
		'IMAGEMAGICKGPS_ADMIN' => IMAGEMAGICKGPS_ADMIN, ));

// send page content
$template->assign_var_from_handle('ADMIN_CONTENT', 'imagemagick_gps_content');